#pragma once

#include <string>

struct ConfigInfo {
    std::string api_env_key;
    std::string base_url;
    std::string user_name;
    std::string model_name;
    std::string assistant_name;
    long max_tokens{};
};

class CConfig
{
public:
    CConfig() = default;
    ~CConfig() = default;
public:
    static bool parse_config(ConfigInfo& config, const std::string& config_path = "");
};